
environment:
  matrix:
  - BUILD: 'Release'
    CONFIG: release
  - BUILD: 'Debug'
    CONFIG: debug

install:
  - git submodule update --init --recursive
  - call "%ProgramFiles(x86)%\Microsoft Visual Studio 12.0\VC\vcvarsall.bat" x86
  - set PATH=C:\Qt\Tools\QtCreator\bin;C:\Qt\5.4\msvc2013_opengl\bin;%PATH%
  - mkdir %LOCALAPPDATA%\QtProject && copy test\qtlogging.ini %LOCALAPPDATA%\QtProject\

build_script:
   - C:\Qt\5.4\msvc2013_opengl\bin\qmake -r CONFIG-=debug_and_release CONFIG+=%CONFIG% CONFIG+=WarningsAsErrorsOn qgroundcontrol.pro
   - jom -j 2

test_script:
  - if "%CONFIG%" EQU "debug" ( debug\qgroundcontrol --unittest )

